Accidentally stuck on O3DS, Ver. 2.1.0-4U

Discussion in '3DS - Homebrew Development and Emulators' started by TheApexTheater, Mar 11, 2016.

  1. TheApexTheater
    OP

    TheApexTheater Member

    Newcomer
    13
    1
    Mar 11, 2016
    United States
    Long story short, I screwed up.

    I was attempting to follow Plailect's guide to homebrewing my 3DS, and I messed up on Step 5, arm9loaderhax. I downloaded the files for A9LH, and made it so that Cakes booted the CFW automatically, but once I did this, my 3DS hanged on a black screen whenever I attempted to boot it up. I think what happened was that I somehow used the incorrect emuNAND file (I used an emuNAND with version 2.1.0, as I had accidentally deleted the other one) and the Cakes FW couldn't load the FIRMware correctly (Because I did receive errors about Cakes not loading the firmware correctly).

    I asked the 3dshacks subreddit and (after a lot of help from the amazing /u/rtyuuytr) I was able to flash a clean 2.1 image into my sysNAND and I don't have an emuNAND.
    I've been following https://github.com/Plailect/Guide/wiki/9.2.0-Update (Plailect's guide) to try to update my 2.1.0 3DS to 9.2 and then homebrew from there, but I'm having a couple of issues:

    I have followed the steps to set up my SD Card (the only files I have are (1) Launcher.dat, (2) a Nintendo3DS directory with two subdirectories, Private, and 0793d365bf29adf97b212aae2b037542 [I doubt these are important for what I'm trying to do], (3) rxTools.dat, (4) slot0x25KeyX.bin, (5) sysUpdater.cia, and (6) updates (for the 9.2.1 update) ). I'm currently stuck on Plialect's guide, specifically, the part in which I try to boot Decrypt9WIP.

    Whenever I attempt to go to either of the two websites outlined in the guide (http://dukesrg.no-ip.org/3ds/go/?Launcher.dat or http://www.reboot.ms/3ds/load.html?Launcher.dat) on my 3DS's browser, I get one of two errors, either the address isn't found, or the browser "Failed to load part of the page" and I'm left with the bottom screen hanging (It's a black screen, but all sorts of random pixels scattered about). When I go to another website I've been told to go to, http://go.gateway-3ds.com/, the same type of hanging occurs.

    So I guess my question is, at this point (with me having the 2.1.0-4U version of the 3DS firmware), is it even remotely possible to upgrade to 9.2.0 with sysUpdater? Thank you in advance, and if you need more information about the behavior of the 3DS (which at this point, works perfectly fine, save for trying to access Decrypt9), I'd be more than happy to provide it.
     
  2. Filo97

    Filo97 Zelda's totally my sister! Not lying!

    Member
    3,742
    1,240
    Oct 8, 2015
    Italy
    Hyrule Castle
    yes ,usa a cart to update to 4.X and then update with sysupdater.
     
  3. TheApexTheater
    OP

    TheApexTheater Member

    Newcomer
    13
    1
    Mar 11, 2016
    United States
    Alright... Do you know of any guides I could follow to use a cart to updateto 4.X?
     
  4. Filo97

    Filo97 Zelda's totally my sister! Not lying!

    Member
    3,742
    1,240
    Oct 8, 2015
    Italy
    Hyrule Castle
    disconnect from wifi, put a cartdridge in the 3ds and if it ask to update, update, just make sure that it isn't 9.3+ by looking on 3dsdb.com
     
  5. jefffisher

    jefffisher GBAtemp Maniac

    Member
    1,444
    275
    Dec 17, 2006
    United States
  6. Filo97

    Filo97 Zelda's totally my sister! Not lying!

    Member
    3,742
    1,240
    Oct 8, 2015
    Italy
    Hyrule Castle
    browserhax does not work on firmware lower than 9.2
     
  7. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,510
    6,106
    Apr 20, 2015
    United States
    Tigard, OR
    you're on 2.1.0-4U with a browser?

    do you have arm11.bin and arm9.bin at the root? try http://dukesrg.github.io/2xrsa.html?arm11.bin - I thought this was in the guide? you could use this to flash your 9.0/9.2 sysnand dump back.
     
  8. Ricken

    Ricken No way... Not now...

    Member
    2,258
    2,525
    Jan 19, 2016
    United States
    Shibuya, The small one from Vegas
    iirc, Sm4sh release copies have 9.2 as gamecard updates
     
  9. jefffisher

    jefffisher GBAtemp Maniac

    Member
    1,444
    275
    Dec 17, 2006
    United States
  10. Filo97

    Filo97 Zelda's totally my sister! Not lying!

    Member
    3,742
    1,240
    Oct 8, 2015
    Italy
    Hyrule Castle
    he don't have anymore the backup...
     
  11. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    5,510
    6,106
    Apr 20, 2015
    United States
    Tigard, OR
  12. jefffisher

    jefffisher GBAtemp Maniac

    Member
    1,444
    275
    Dec 17, 2006
    United States
    oh right, i forgot about that i guess he would need a .bin version of sysupdater or something else that can do similar which doesn't exist.
     
  13. luigoalma

    luigoalma Newbie

    Newcomer
    7
    144
    Sep 9, 2015
    Portugal
    Well, if you have a cart with any exploitable version between 4.1 to 9.2 (if you have one between 9.0 and 9.2 you're golden.) update using that cart, use rxtools to fbi inject on sysNand, boot sysnand in pasta mode (not rxmode, this will result in a brick later on if you use rxmode, because of firmware spoofing), install sysupdater with injected fbi, then update using sysupdater to version 9.2, i presume that's the version you're trying to get.
     
  14. Daidouji

    Daidouji GBAtemp Regular

    Member
    124
    43
    Jan 18, 2016
    Mexico
    so you are stuck on 2.1 with no access to A9LH... the most viable option is to use a gamecart.... did you already dump the OTP?
     
  15. TheApexTheater
    OP

    TheApexTheater Member

    Newcomer
    13
    1
    Mar 11, 2016
    United States
    A small update: Just finished following mr. Filo97's instructions and am now on 4.5.0-4U!

    I'm going to try to follow Plialect's guide again (which should now be working without too much trouble). Again, thanks for all the suggestions!
     
    Filo97 likes this.
  16. Giodude

    Giodude GBAtemp's official rock

    Member
    GBAtemp Patron
    Giodude is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,234
    1,308
    May 17, 2015
    United States
    New York
    load up gateway and rrestore nand.bin. Ur an idiot if u dont have a backup.
     
    Zidapi likes this.
  17. BurningDesire

    BurningDesire GBAtemp Psycho!

    Member
    4,964
    5,825
    Jan 27, 2015
    United States
    Behind a screen reading news
    Did you download the firmware files from his guide or that iso site? I tried downgrading to 9,2 from 10.6U on a O3DS and was missing a shit tone of files on 9.2 I am surprised anything worked....
     
  18. TheApexTheater
    OP

    TheApexTheater Member

    Newcomer
    13
    1
    Mar 11, 2016
    United States
    From Plialect's guide! Just now got Decrypt9WIP to work through gateway, so I am making progress!
     
  19. BurningDesire

    BurningDesire GBAtemp Psycho!

    Member
    4,964
    5,825
    Jan 27, 2015
    United States
    Behind a screen reading news
    Last edited by BurningDesire, Mar 11, 2016
  20. Nocto

    Nocto Member

    Newcomer
    30
    4
    Mar 8, 2016
    Italy
    Uh, I'm stuck on 2.1 but I used New Super Marios 2 to get on 4.1.0.4E on my N3DSXL, what do I need to do? Have cooking mama which mounts an 9.2...